View Issue Details

IDProjectCategoryView StatusLast Update
08253Development [All Projects] Survey takingpublic2015-08-21 15:51
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.05 
Target VersionFixed in Version2.05 
Summary08253: Move checkconditions from HTML to external file
Description

Actually, we have a lot of function in HTML.
I think some of this function is better in an external file : better management.

Steps To Reproduce

Look at HTML code: have allways in survey this 2 functions:
function fixnum_checkconditions
and
function checkconditions

(not allways for fixnum but ;) )

Additional Information

Have this function in external file make better management, don't have to relaod exteranl file at each page etc ...

Can be put in survey_runtime.js i think.

TagsNo tags attached.

Relationships

related to 08247 closeddominikvitt Bug reports Javascript autocorrection of numerical values 

Activities

DenisChenu

DenisChenu

2013-10-09 17:23

developer   ~26674

Carsten : already stared: can be put in 2.05.
Just to be sure : survey_runtime is OK, i think : we have it in survey listing and don't need, but limesurvey do survey..

Denis

Related Changesets

LimeSurvey: 2.05 1c644b9e

2013-10-21 10:40:12

DenisChenu

Details Diff
Merge pull request #148 from Shnoulle/2.05

2.05 : fix 3 issue with numeric question type (javascript and php)
Affected Issues
08247, 08253
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - application/helpers/expressions/em_core_helper.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/helpers/qanda_helper.php Diff File
mod - scripts/expressions/em_javascript.js Diff File
mod - scripts/survey_runtime.js Diff File

Issue History

Date Modified Username Field Change
2013-10-09 17:22 DenisChenu New Issue
2013-10-09 17:23 DenisChenu Note Added: 26674
2013-10-09 17:28 DenisChenu Relationship added related to 08247
2013-10-21 12:48 DenisChenu Changeset attached => LimeSurvey 2.05 1c644b9e
2013-10-21 12:48 DenisChenu Status new => resolved
2013-10-21 12:48 DenisChenu Fixed in Version => 2.05
2013-10-21 12:48 DenisChenu Resolution open => fixed
2013-10-21 12:48 DenisChenu Assigned To => DenisChenu
2015-08-21 15:51 c_schmitz Status resolved => closed